Subject: Re: Automatic fill of user's real name in compose

From: Oved Ben-Aroya <[email-masked]>
Date: Mon, 4 Oct 1993 07:00:07 +0200 (EET)

On Tue, 28 Sep 1993, Tom Adams wrote:

> When typing in a local user name in the To: (or Cc:) field followed by
> carrage-return, Pine will retype the line with only the fully qualified
> domain name and NOT include the user's real name obtained from the passwd's 
> gcos-field.
> For example:
>      To: adams            ==>  To: [email-masked]
> Since my machine does not have a fully qualified domain name in the
> hosts file, the pine variable "user-domain" was set to "smc.com".
> 
> I noticed that if the "user-domain" is set to "". Then the user's
> real name is included BUT I DO NOT GET THE FULL DOMAIN NAME (only
> the local machine name that I am on).
> For example:
>      To: adams            ==>   To: Tom Adams <adams@myworkstation>
> 
> What I really would like is both the local user's real name and
> a fully qualified domain name (without the local machine name)
> and not touch my /etc/hosts file.
> For example:
>      To: adams            ==>   To: Tom Adams <[email-masked]>

Tom,
 
 Address manipulation is the job of the MTA (e.g., sendmail), not of the 
MUA (pine).  

> 
> (I assume the above is what is normally expected when the machine
> is fully qualified in the /etc/hosts file.)

It is, usually, a good idea to have fully qualified names.

> 
> How do I set up pine's local variables to do this?
> 
> _______________________________________________________________
> Tom Adams                            Telephone: 516-435-6083
> Standard Microsystems Corporation
> 35 Marcus Boulevard                  UUCP:      uunet!smc!adams
> Hauppauge, NY 11788                  Internet:  [email-masked]
> 
> 
>